
Synnefo - Feature # 1744

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades Images

Created: 12/06/2011 Assignee: Giorgos Verigakis

Updated: 01/16/2012 Due date: 12/09/2011

Subject: Remove all explicit references to the Image model for Image ids

Description

Remove all explicit references (e.g., foreign keys) to the Image model whenever an image ID is needed.

This is necessary to support Images on Plankton.

Related issues:

related to Synnefo - Feature # 1743: Extend API (e.g., POST /servers) Impleme... Closed 12/06/2011 12/09/2011

blocks Synnefo - Feature # 989: Glance API Implementation (Plankton Service) Closed 08/03/2011 11/11/2011

Associated revisions

Revision 936afb7b - 12/07/2011 02:47 pm - Giorgos Verigakis

Use string IDs in VMs instead of foreign keys

A database migration is needed.

Refs #1744

History

#1 - 12/13/2011 05:52 pm - Giorgos Verigakis

This was done as part of the work for Issue #1743.

#2 - 01/16/2012 06:26 pm - Vangelis Koukis

- Status changed from Assigned to Closed
